/* Reset default styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Set default font styles */
html, body {
  font-family: Arial, sans-serif;
  font-size: 16px;
  line-height: 1.5;
}

/* Set background color and text color */
body {
  background-color: #303030;
  color: #FFFFFF;
}

/* Set header styles */
header {
  background-color: #212121;
  color: #FFFFFF;
  padding: 20px;
  text-align: center;
}

/* Set link styles */
a {
  color: #FFFFFF;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

/* Set main content styles */
main {
  max-width: 800px;
  margin: 0 auto;
  padding: 20px;
  min-height: 100vh;
}

h1, h2, h3, h4, h5, h6{
  color: #FFFFFF;
  margin: 20px 0;
}

p {
  margin: 0 0 20px;
}

ul {
  list-style-type: none;
}

.plant h1 {
  margin: 20px 0;
  display: block;
}


.plant ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.plant li {
  margin: 10px;
  font-size: 16px;
}

.plant img {
  display: block;
  margin: auto;
}

.plant form {
  display: block;
  margin: auto;
}

/* Set footer styles */
footer {
  background-color: #212121;
  color: #FFFFFF;
  padding: 20px;
  text-align: center;
}


/* The Modal (background) */
.modal {
  display: none; 
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%; 
  height: 100%; 
  overflow: auto; 
  background-color: rgb(0,0,0); 
  background-color: rgba(0,0,0,0.4); 
}

/* Modal Content/Box */
.modal-content {
  background-color: #262626;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #858585;
  width: 80%; /* Could be more or less, depending on screen size */
  /*float: left;*/
}

/* The Close Button */
.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.modalButton{
  background-color: #262626;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  font-size: 16px;
  font-weight: bold;
  text-transform: uppercase;
  cursor: pointer;
  box-shadow: 0 2px 4px rgba(0,0,0,0.2);
  transition: all 0.3s ease-in-out;
}
  
  .modalButton:hover{
    background-color: #191919;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  }

  .smaller-header {
    font-size: 1.5em; /* You can adjust this value as needed */
  }

  #button-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
}

.middle {
  text-align: center;
}

button {
  background-color: #525252;
  border: none;
  border-radius: 5px;
  color: #fff;
  cursor: pointer;
  font-size: 1rem;
  padding: 5px 10px;
  text-align: center;
  text-decoration: none;
  text-transform: uppercase;
}
button:hover {
  background-color: #292929;
}

.center-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

label {
  font-size: 25px;
}

.feeling-lucky-button {
  font-size: 16px;
  padding: 8px 12px;
  border: none;
  border-radius: 4px;
  background-color: #175b19;
  color: white;
  cursor: pointer;
}

.feeling-lucky-button:hover {
  background-color: #0b380d;
}

.feeling-lucky-button:active {
  background-color: #0b380d;
}
